## golang-1.19 1.19~beta1

=== debian/changelog ===
golang-1.19 (1.19~beta1-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - 0001-cmd-link-check-CGO_CFLAGS-for-non-g-I-O-options-befo.patch
      disable internal linking when dynamically linking and CGO_CFLAGS
      contains flags that might make host object files that the internal
      linkers ELF reader does not support. This fixes lots of package builds
      when LTO is enabled by default via dpkg-buildflags.
    - d/rules: Add NO_PNG_PKG_MANGLE to prevent a test file from being
      compressed.

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 15 Jun 2022 09:31:28 -0500

golang-1.19 (1.19~beta1-1) unstable; urgency=medium

  * New upstream version 1.19 beta1

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Fri, 10 Jun 2022 13:52:13 -0500

golang-1.18 (1.18.3-1) unstable; urgency=medium

  * New upstream version 1.18.3

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 01 Jun 2022 17:23:29 -0500

golang-1.18 (1.18.2-2) unstable; urgency=medium

  * d/p/0007-cmd-link-use-TOC-relative-trampolines-on-PPC64-when-.patch:
    Remove patch.  It's causing the build on ppc64el to FTBFS during link
    time.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 14 May 2022 15:22:04 -0400

golang-1.18 (1.18.2-1) unstable; urgency=medium

  * New upstream version 1.18.2
  * d/p/0007-cmd-link-use-TOC-relative-trampolines-on-PPC64-when-.patch:
    Use TOC-relative trampolines on ppc64el when needed.  Fix link error
    when building PIE binaries. (Closes: #1010942)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 13 May 2022 14:07:03 -0400

golang-1.18 (1.18.1-1) unstable; urgency=medium

  * New upstream version 1.18.1
    + CVE-2022-24675: encoding/pem: fix stack overflow in Decode
    + CVE-2022-28327: crypto/elliptic: tolerate all oversized scalars
      in generic P-256
    + CVE-2022-27536: crypto/x509: non-compliant certificates can
      cause a panic in Verify on macOS in Go 1.18

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 13 Apr 2022 12:54:36 -0500

golang-1.18 (1.18-1) unstable; urgency=medium

  * New upstream version 1.18

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 15 Mar 2022 14:59:19 -0500

golang-1.18 (1.18~rc1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.18~rc1

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 18 Feb 2022 01:31:48 +0800

golang-1.18 (1.18~beta2-1) unstable; urgency=medium

  * New upstream version 1.18 beta2

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Mon, 31 Jan 2022 16:53:48 -0600

golang-1.18 (1.18~beta1-2) unstable; urgency=medium

  * Source-only upload for migration to testing

 -- Anthony Fok <foka@debian.org>  Thu, 13 Jan 2022 14:01:05 -0700

golang-1.18 (1.18~beta1-1) unstable; urgency=medium

  * New upstream version 1.18 beta1

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 15 Dec 2021 16:07:48 -0600

golang-1.17 (1.17.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.17.5
    + CVE-2021-44716: net/http: limit growth of header canonicalization cache
    + CVE-2021-44717: syscall: don’t close fd 0 on ForkExec error

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 09 Dec 2021 23:22:36 +0800

golang-1.17 (1.17.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.17.4

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 04 Dec 2021 01:32:29 +0800

golang-1.17 (1.17.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.17.3
    + CVE-2021-41771: debug/macho: invalid dynamic symbol table command
      can cause panic
    + CVE-2021-41772: archive/zip: Reader.Open panics on empty string

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 07 Nov 2021 22:33:32 +0800

golang-1.17 (1.17.2-1) unstable; urgency=medium

  * Team upload.

  [ Anthony Fok ]
  * Fix Lintian warning: tab-in-license-text
    debian/copyright (starting at line 366)

  [ Shengjing Zhu ]
  * Ensure GOROOT_BOOTSTRAP is valid
  * Set GOPATH in d/rules.
    Seems the go command needs GOPATH env
  * New upstream version 1.17.2
    + CVE-2021-38297: When invoking functions from WASM modules, built using
      GOARCH=wasm GOOS=js, passing very large arguments can cause portions of
      the module to be overwritten with data from the arguments

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 09 Oct 2021 01:23:05 +0800

golang-1.17 (1.17.1-1) unstable; urgency=high

  * New upstream version 1.17.1
    + CVE-2021-39293: security fix to the archive/zip package
      The fix for CVE-2021-33196 can be bypassed by crafted inputs.
      As a result, the NewReader and OpenReader functions in archive/zip
      can still cause a panic or an unrecoverable fatal error when reading
      an archive that claims to contain a large number of files,
      regardless of its actual size.
      Thanks to the OSS-Fuzz project for discovering this issue
      and to Emmanuel Odeke for reporting it.
    + bug fixes to the archive/zip, go/internal/gccgoimporter,
      html/template, net/http, and runtime/pprof packages
  * Re-add "Multi-Arch: foreign" hint
  * Rename Maintainer from "Go Compiler Team" to "Debian Go Compiler Team"
  * Bump Standards-Version to 4.6.0 (no change)

 -- Anthony Fok <foka@debian.org>  Fri, 10 Sep 2021 18:01:21 -0600

golang-1.17 (1.17-3) unstable; urgency=medium

  * Team upload.
  * Add missing generated buildcfg file (Closes: #993450)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 02 Sep 2021 00:08:21 +0800

golang-1.17 (1.17-2) unstable; urgency=medium

  * Team upload.
  * Fix extracting go version for gccgo

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 29 Aug 2021 01:16:12 +0800

golang-1.17 (1.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.17
  * Refresh patches, dropping
    0003-cmd-go-cmd-cgo-pass-mfp32-and-mhard-soft-float-to-MI.patch which was
    merged upstream.
  * Do not include the now-deleted favicon.ico in golang-1.17-doc.

