## golang-1.19 1.19~rc1

=== debian/changelog ===
golang-1.19 (1.19~rc1-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - 0001-cmd-link-check-CGO_CFLAGS-for-non-g-I-O-options-befo.patch
      disable internal linking when dynamically linking and CGO_CFLAGS
      contains flags that might make host object files that the internal
      linkers ELF reader does not support. This fixes lots of package builds
      when LTO is enabled by default via dpkg-buildflags.
    - d/rules: Add NO_PNG_PKG_MANGLE to prevent a test file from being
      compressed.

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Fri, 08 Jul 2022 09:58:02 -0500

golang-1.19 (1.19~rc1-1) unstable; urgency=medium

  * Team upload.
  * Update upstream signing key.
    Download from https://dl.google.com/dl/linux/linux_signing_key.pub
  * New upstream version 1.19~rc1
    + Fix boostrap with gccgo (Closes: #1014238)
  * Update Standards-Version to 4.6.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 07 Jul 2022 23:42:03 +0800

golang-1.19 (1.19~beta1-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload for migration to testing

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 02 Jul 2022 03:11:52 +0800
