## golang-1.19 1.19~rc2

=== debian/changelog ===
golang-1.19 (1.19~rc2-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - 0001-cmd-link-check-CGO_CFLAGS-for-non-g-I-O-options-befo.patch
      disable internal linking when dynamically linking and CGO_CFLAGS
      contains flags that might make host object files that the internal
      linkers ELF reader does not support. This fixes lots of package builds
      when LTO is enabled by default via dpkg-buildflags.
    - d/rules: Add NO_PNG_PKG_MANGLE to prevent a test file from being
      compressed.

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 13 Jul 2022 16:21:52 -0500

golang-1.19 (1.19~rc2-1) unstable; urgency=medium

  * New upstream version 1.19 rc2

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 12 Jul 2022 18:32:28 -0500
