## golang-1.19 1.19

=== debian/changelog ===
golang-1.19 (100:1.19-2) stable; urgency=medium

  * updated to build for all arches

 -- Peter Hunt <pehunt@redhat.com>  Fri, 26 Aug 2022 16:14:13 -0400

golang-1.19 (100:1.19-1) UNRELEASED; urgency=medium

   * https://github.com/golang/go/releases/tag/go1.19

 -- Wong Hoi Sing Edison <hswong3i@gmail.com>  Tue, 09 Aug 2022 11:41:38
