=== debian/control ===
Source: golang-1.19
Section: golang
Priority: optional
Standards-Version: 4.5.0
Maintainer: Wong Hoi Sing Edison <hswong3i@gmail.com>
Homepage: https://github.com/golang/go/tags
Vcs-Browser: https://github.com/alvistack/golang-go
Vcs-Git: https://github.com/alvistack/golang-go.git
Build-Depends:
 debhelper,
 debhelper-compat (= 10),
 golang-1.13     | golang-1.14     | golang-1.15     | golang-1.16     | golang-1.17     | golang-1.18     | golang-1.19,
 golang-1.13-go  | golang-1.14-go  | golang-1.15-go  | golang-1.16-go  | golang-1.17-go  | golang-1.18-go  | golang-1.19-go,
 golang-1.13-src | golang-1.14-src | golang-1.15-src | golang-1.16-src | golang-1.17-src | golang-1.18-src | golang-1.19-src,
 fdupes,
 netbase,

Package: golang-1.19
Architecture: all
Description: Go programming language
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction. Go
 compiles quickly to machine code yet has the convenience of garbage
 collection and the power of run-time reflection. It's a fast, statically
 typed, compiled language that feels like a dynamically typed,
 interpreted language.
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Provides:
 golang,
 golang-any,
 golang-go,
 golang-src,
 golang-doc,
 golang-1.19-go,
 golang-1.19-src,
 golang-1.19-doc,
Conflicts:
 golang,
 golang-any,
 golang-go,
 golang-src,
 golang-doc,
Replaces:
 golang,
 golang-any,
 golang-go,
 golang-src,
 golang-doc,
