## golang-1.19 1.19.0

=== debian/changelog ===
golang-1.19 (1.19.0-1.lnd.1) unstable; urgency=medium

  * go1.19.0 support for loong64.
  * fix mabi to lp64 for loong64
  * fix runtime defs_linux_loong64
  * fix test issue11656 for loong64
  * fixup stack growth after fork in runtime.sigfillset
  * debug/elf: add new-style LoongArch reloc types
  * cmd/link: recognize the new R_LARCH_32_PCREL type on loong64
  * runtime/internal/atomic: enable atomic 64bit types for all functions on linux/loong64
  * cmd/compile: add missing tail calls flag for linux/loong64
  * cmd/compile: remove the resultInArg0 register checks on linux/loong64
  * runtime: remove the fake mstart caller in systemstack on linux/loong64
  * cmd/internal/obj/loong64: save LR after decrementing SP
  * runtime: minor refactoring of _rt0_loong64_linux
  * runtime: fix gcWriteBarrier frame size on loong64,mipsx,mips64x
  * cmd/internal/obj/loong64: remove invalid branch delay slots
  * cmd/compile,cmd/internal/obj: rename loong64 instructions SQRT{F,D} to FSQRT{S,D}
  * math: implement Sqrt in assembly for loong64
  * cmd/asm: add RDTIME{L,H}.W, RDTIME.D support for loong64
  * runtime: use StableCounter implement cputicks() on linux/loong64
  * debug/elf: add new-style LoongArch reloc types
  * cmd/link: recognize the new R_LARCH_32_PCREL type on loong64

 -- chenguoqi <chenguoqi@loongson.cn>  Wed, 13 Jul 2022 09:30:18 +0800

golang-1.18 (1.18.3-1.lnd.1) unstable; urgency=medium

  * go1.18.3 support for loong64.
  * runtime: fix the vDSO symbol version on loong64
  * internal/cpu: fix cpu cacheLineSize for loong64
  * syscall, runtime/internal/syscall: always zero the higher bits of return value
  * runtime: clean up unused function gosave on loong64
  * debug/pe: add IMAGE_FILE_MACHINE_LOONGARCH{64,32}
  * fixup stack growth after fork in runtime.sigfillset
  * runtime/internal/atomic: enable atomic 64bit types for all functions
  * cmd/compile: add missing tail calls flag for linux/loong64
  * cmd/compile: remove the resultInArg0 register checks on linux/loong64
  * runtime: remove the fake mstart caller in systemstack on linux/loong64

 -- chenguoqi <chenguoqi@loongson.cn>  Wed, 13 Jul 2022 09:30:18 +0800

golang-1.18 (1.18.2-1.lnd.1) unstable; urgency=medium

  * go1.18.2 support for loong64.
  * update vendor golang.org/x/sys for byteorder fix.
  * cmd/compile: remove atomic Cas Xchg and Xadd intrinsics.
  * runtime: fix asyncPreempt implementation for errors.
  * cmd/internal/obj: add FuncInfo SPWRITE flag for linux/loong64.
  * runtime: add missing {TOPFRAME,NOFRAME} flag for linux/loong64.
  * cmd/link: call syscall.Fsync on outbuf munmap for linux.
  * cmd/compile: fix loong64 constant folding in division rules.

 -- chenguoqi <chenguoqi@loongson.cn>  Thu, 26 May 2022 16:20:18 +0800

golang-1.18 (1.18.1-1.lnd.1) unstable; urgency=medium

  * go1.18.1 support for loongarch64
  * runtime: fixed func breakpoint implementation on loongarch64

 -- chenguoqi <chenguoqi@loongson.cn>  Wed, 20 Apr 2022 09:46:18 +0800

golang-1.18 (1.18.0-1.lnd.1) unstable; urgency=medium

  * go1.18 support for loongarch64

 -- chenguoqi <chenguoqi@loongson.cn>  Thu, 17 Mar 2022 09:46:18 +0800

golang-1.18 (1.18~rc1-1.lnd.1) unstable; urgency=medium

  * go1.18rc1 support for loongarch64

 -- limeidan <limeidan@loongson.cn>  Thu, 24 Feb 2022 10:26:52 +0800

golang-1.18 (1.18~beta1-2.lnd.1) unstable; urgency=medium

  * Add loongarch64 base support.

 -- Guoqi Chen <chenguoqi@loongson-pc>  Sun, 23 Jan 2022 10:09:36 +0800
