## golang-1.19 1.19.1

=== debian/changelog ===
golang-1.19 (1.19.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Mon, 19 Sep 2022 16:24:06 -0600

golang-1.19 (1.19.1-1) unstable; urgency=medium

  * New upstream version 1.19.1

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 06 Sep 2022 14:58:49 -0500

golang-1.19 (1.19-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Sat, 06 Aug 2022 13:16:49 -0600

golang-1.19 (1.19-1) unstable; urgency=medium

  * New upstream version 1.19
  * Update d/docs to reflect upstream removal of AUTHORS and CONTRIBUTORS

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 02 Aug 2022 15:35:20 -0500

golang-1.19 (1.19~rc1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Wed, 13 Jul 2022 14:33:05 -0600
