## golang-1.19 1.19.3

=== debian/changelog ===
golang-1.19 (1.19.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Thu, 17 Nov 2022 13:21:10 -0700

golang-1.19 (1.19.3-1) unstable; urgency=medium

  * New upstream version 1.19.3
    + CVE-2022-41716: syscall, os/exec: unsanitized NUL in environment variables
      On Windows, syscall.StartProcess and os/exec.Cmd did not properly check
      for invalid environment variable values. A malicious environment variable
      value could exploit this behavior to set a value for a different
      environment variable.

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Thu, 03 Nov 2022 08:39:47 -0500
