## golang-1.19 1.19.5

=== debian/changelog ===
golang-1.19 (1.19.5-1) unstable; urgency=medium

  * Team upload
  * Add NO_PNG_PKG_MANGLE to prevent mangling testdata.
    This is Ubuntu specific behaviour so they can sync the package without
    vendor patch.
  * New upstream version 1.19.5

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 11 Jan 2023 15:35:00 +0800
