## golang-1.19 1.19.6

=== debian/changelog ===
golang-1.19 (1.19.6-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Thu, 23 Feb 2023 01:23:28 -0700

golang-1.19 (1.19.6-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 17 Feb 2023 17:56:44 +0800

golang-1.19 (1.19.6-1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.19.6
    + CVE-2022-41722: path/filepath: path traversal in filepath.Clean on
      Windows
    + CVE-2022-41725: net/http, mime/multipart: denial of service from
      excessive resource consumption
    + CVE-2022-41724: crypto/tls: large handshake records may cause panics
    + CVE-2022-41723: net/http: avoid quadratic complexity in HPACK decoding

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 15 Feb 2023 10:09:02 +0800

golang-1.19 (1.19.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Sun, 29 Jan 2023 16:04:43 -0700

golang-1.19 (1.19.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Tue, 17 Jan 2023 14:25:50 -0700
