=== debian/control ===
--- 
+++ 
@@ -12,23 +12,23 @@
            Anthony Fok <foka@debian.org>
 Section: golang
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                golang-any (>= 2:1.4~) | golang-go (>= 2:1.4~) | gccgo (>= 4:5~),
                netbase
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/compiler/golang/tree/golang-1.19
 Vcs-Git: https://salsa.debian.org/go-team/compiler/golang.git -b golang-1.19
-Homepage: https://golang.org
+Homepage: https://go.dev/
 Rules-Requires-Root: no
 
 Package: golang-1.19-go
-Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el riscv64 s390x loongarch64
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el riscv64 s390x
 Depends: golang-1.19-src (>= ${source:Version}),
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
 Recommends: g++, gcc, libc6-dev, pkg-config
-Breaks: dh-golang (<< 1.33~)
+Breaks: dh-golang (<< 1.43~)
 Suggests: bzr | brz, ca-certificates, git, mercurial, subversion
 Description: Go programming language compiler, linker, compiled stdlib
  The Go programming language is an open source project to make programmers more
@@ -47,7 +47,8 @@
  add /usr/lib/go-1.19/bin/ to PATH, or invoke /usr/lib/go-1.19/bin/go directly.
 
 Package: golang-1.19-src
-Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64 ppc64el riscv64 s390x loongarch64
+Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Go programming language - source files
  The Go programming language is an open source project to make programmers more
