## golang-1.19 1.19.9

=== debian/changelog ===
golang-1.19 (1.19.9-1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.19.9
    + CVE-2023-24539: html/template: improper sanitization of CSS values
    + CVE-2023-24540: html/template: improper handling of JavaScript whitespace
    + CVE-2023-29400: html/template: improper handling of empty HTML attributes

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 03 May 2023 15:08:50 +0800
