## golang-1.19 1.19.13

=== debian/changelog ===
golang-1.19 (1.19.13-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Anthony Fok <foka@debian.org>  Sun, 12 Nov 2023 20:32:21 -0700

golang-1.19 (1.19.13-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.19.13
    + Improve backward compatibility for fixes of CVE-2023-29409
      and CVE-2023-29406.

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 07 Sep 2023 12:01:53 +0800
